Package jebl.math

# Interface UnivariateFunction

All Known Implementing Classes:
  `OrthogonalLineFunction`

public interface UnivariateFunction
interface for a function of one variable

Author:
  Korbinian Strimmer

## Method Summary

Modifier and Type
Method
Description
`double`
`evaluate(double argument)`
compute function value
`double`
`getLowerBound()`
get lower bound of argument
`double`
`getUpperBound()`
get upper bound of argument

## Method Details

### evaluate

double evaluate(double argument)
compute function value

Parameters:
  `argument` - function argument
Returns:
  function value

### getLowerBound

double getLowerBound()
get lower bound of argument

Returns:
  lower bound

### getUpperBound

double getUpperBound()
get upper bound of argument

Returns:
  upper bound